Fiscal Harmony API
  1. Currency Mappings
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
      • Add Tax Mapping
      • Get Specific Tax Mapping
      • Update Tax Mapping
      • Delete Tax Mapping
    • Currency Mappings
      • Supported Currencies
        GET
      • Get All CurrencyMappings
        GET
      • Add Currency Mapping
        POST
      • Get Specific Currency Mapping
        GET
      • Update Currency Mapping
        PUT
      • Delete Currency Mapping
        DELETE
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Currency Mappings

Update Currency Mapping

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
PUT
/currencymapping/{id}
Last modified:2026-02-27 08:20:20
Edits an existing currency mapping. Submits a CurrencyMapping with theId or UserId. The Id is also provided in the URI path instead to let the system know which mapping to update.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Returns a boolean to confirm if it has been updated.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://mock.apidog.com/m1/1209598-0-default/currencymapping/' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1' \
--header 'Content-Type: application/json' \
--data-raw '{
  "Id": 2,
  "UserId": 1,
  "SourceCurrency": "Euro",
  "DestinationCurrency": "EUR"
}'
Response Response Example
true
Modified at 2026-02-27 08:20:20
Previous
Get Specific Currency Mapping
Next
Delete Currency Mapping
Built with